6

I used to use Citrix receiver on Ubuntu 16.04 for a while Switching to 18.04, I want to continue using Citrix.

I downloaded and installed citrix receiver 13.8 following this official guide without any errors: https://docs.citrix.com/en-us/receiver/linux/current-release/install.html

When I triy to vonnect using a provided connection file (.ica), I receive the following error message in a window:

Verbindung mit '0.0.0.2 - Desktop EMEA' kann nicht hergestellt werden. Datei oder Verzeichnis nicht gefunden.

English: File or directory not found

I tried to debug by setting PrintLogThreshold=6 in the connection file. Unfortunately o additional information about the error is logged.

Using the same connection on the old Ubuntu 16.04 installation works as usual at the same time.

How can I debug? Why is the IP-address all-zero?

18

Running the below commands after installing the Citrix Receiver Full worked for me

sudo ln -s /usr/share/ca-certificates/mozilla/* /opt/Citrix/ICAClient/keystore/cacerts/

sudo c_rehash /opt/Citrix/ICAClient/keystore/cacerts/
| improve this answer | |
  • Thanks! the cleanest of all it works like a charm ubuntu 18.04 citrix 13.10 only 2 commands and all issue fixed. – Doogle Aug 12 '18 at 6:06
  • This resolved the issue for me running Ubuntu 18.04 and Citrix Workspace for Linux Version 18.9.0.6. Would be great if you could add a short description what these commands are doing. If I get it right, it's adding default ca certs used by Mozilla to Citrix's keystore, isn't it? – jelhan Sep 21 '18 at 9:53
  • Worked for me too :) – Rajeev Sahu Sep 28 '18 at 11:07
  • This worked for me too. I am a Citrix Administrator with 15 Years of Experience. I was hoping that Citrix would fix this in the current 19.1 Release. Alas! that is not the case – Rajat Pandita Feb 14 '19 at 17:28
  • Clean solution! This worked for me too. I am running with linux mint 19 and citrix receiver 13.10. – DavidH Mar 6 at 15:33
4

Looks like this is a known issue in older versions which comes back in 13.9. So nothing Ubuntu related. Only seams so because Citrix Receiver 13.9 and Ubuntu 18.4 was released in the same period of time.

@Rinzwind, got this insight from your link here: https://discussions.citrix.com/topic/323985-cannot-connect-to-0002-published-app-name-most-distros/#comment-2004606

So to resolve install Citrix Receiver 13.8

| improve this answer | |
  • Consider accepting the top answer, please... – Aaron Hall Feb 6 '19 at 2:39
1

I had this problem after upgrading to 18.04 from 17.04. Firefox gave the same error message. I found a work-around: Start Citrix Receiver directly from the Launcher (Supe+A). Enter a copy from the url you can still find on the Firefox page.

Btw: Still using citrix Receiver 13.5

| improve this answer | |
  • You need to provide better answer with more information. – Eranda Peiris May 23 '18 at 11:00
0

The best answer is given here:

https://discussions.citrix.com/topic/402745-citrix-workspace-app-1903-install-fails-on-ubuntu-1904/

Altough it refers to an issue on Ubuntu 19.04 it also applies to 18.04 this way like I found out, but the difference is that these packages are in the standard distribution available and just need to be installed from there:

It says (and for sure you have to adjust the versions of the packages accordingly)

"You can manually install the dependencies and then Citrix:

  1. Download the 3 required dependencies from Launchpad (not providing direct links so you can check it's legit):

a. https://launchpad.net/ubuntu/bionic/amd64/libicu60/60.2-3ubuntu3 (libicu60_60.2-3ubuntu3_amd64.deb (7.7 MiB))

b. https://launchpad.net/ubuntu/bionic/amd64/libjavascriptcoregtk-1.0-0/2.4.11-3ubuntu3

(libjavascriptcoregtk-1.0-0_2.4.11-3ubuntu3_amd64.deb (1.8 MiB))

c. https://launchpad.net/ubuntu/cosmic/amd64/libwebkitgtk-1.0-0/2.4.11-3ubuntu3

(libwebkitgtk-1.0-0_2.4.11-3ubuntu3_amd64.deb (7.7 MiB))

  1. Install the files in that order in the terminal

(assuming the files are in the Downloads folder)

cd ~/Downloads sudo dpkg -i libicu60_60.2-3ubuntu3_amd64.deb sudo dpkg -i libjavascriptcoregtk-1.0-0_2.4.11-3ubuntu3_amd64.deb sudo dpkg -i libwebkitgtk-1.0-0_2.4.11-3ubuntu3_amd64.deb sudo dpkg -i icaclient_19.3.0.5_amd64.deb

This correctly installs Citrix Workspace. If you then get connection errors when trying to set it up, also implement step 3.

  1. Fix the certificate error.

sudo ln -s /usr/share/ca-certificates/mozilla/* /opt/Citrix/ICAClient/keystore/cacerts/ sudo c_rehash /opt/Citrix/ICAClient/keystore/cacerts/

That's all."

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.